Show / Hide Table of Contents

# Interface ISocketPrivateChannel

Represents a generic WebSocket-based channel that is private to select recipients.

##### Inherited Members

IChannel.Name
IChannel.GetUsersAsync(CacheMode, RequestOptions)
IChannel.GetUserAsync(UInt64, CacheMode, RequestOptions)
ISnowflakeEntity.CreatedAt
IEntity<UInt64>.Id

###### Namespace: Discord.WebSocket

###### Assembly: Discord.Net.WebSocket.dll

##### Syntax

    public interface ISocketPrivateChannel : IPrivateChannel, IChannel, ISnowflakeEntity, IEntity<ulong>

### Properties

| Improve this Doc View Source

#### Recipients

##### Declaration

    IReadOnlyCollection<SocketUser> Recipients { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.IReadOnlyCollection<SocketUser> |